Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234928 - .static binaries aren't really needed
Summary: .static binaries aren't really needed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 21:32 UTC by Jeremy Katz
Modified: 2008-05-28 18:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-28 18:54:04 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2007-04-02 21:32:39 UTC
The .static binaries aren't really needed anymore; our initramfs setup is now
dynamic and including the static binaries just bloats the packages.

Comment 1 Charlie Bennett 2007-04-06 17:24:23 UTC
These are very useful for people doing derived distos...
I'm happy to not have to reconfigure base packages

Comment 2 Bug Zapper 2008-04-03 23:54:37 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Alasdair Kergon 2008-05-06 16:51:37 UTC
inappropriate bug zapper comments.

But why this quick job has been sitting here for a year is anyone's guess...

build submitted  device-mapper-multipath-0_4_7-15_fc10

Comment 4 Bug Zapper 2008-05-14 02:43:37 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.